Delete offramp account
curl --request DELETE \
--url https://external.dev.onboardpay.co/ledger/offramp-accounts/{offrampAccountId} \
--header 'x-api-key: <api-key>'import requests
url = "https://external.dev.onboardpay.co/ledger/offramp-accounts/{offrampAccountId}"
headers = {"x-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://external.dev.onboardpay.co/ledger/offramp-accounts/{offrampAccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "UNAUTHORIZED",
"message": "Either client security header is missing or it is not valid."
}{
"code": "NOT_FOUND",
"message": "Information could not be found"
}Offramp Accounts
Delete Offramp Account
Delete offramp account and automatically disable address assigned.
DELETE
/
ledger
/
offramp-accounts
/
{offrampAccountId}
Delete offramp account
Deletes an offramp account.
Authorizations
Requires authentication via API key and HMAC signature.
x-api-key: Your API key generated from your Onboard Business dashboard.x-timestamp: Unix epoch timestamp (seconds) used in signature, allowed skew is 30 secondsx-signature: SHA256 HMAC HEX signature calculated overt={x-timestamp}&{requestBody}using your API Secret.
Path Parameters
Response
Offramp account deleted
⌘I